TokenLab

Video & tư liệu

Xóa Material Asset

Xóa một material asset của Seedance thuộc sở hữu của tổ chức hiện tại.

DELETE
/v1/videos/assets/{assetId}

Xóa một material asset. Thao tác này không xóa material group chứa nó. Sau khi xóa, ID của asset sẽ không còn có thể được sử dụng làm material_asset_id.

project_name tách biệt tài nguyên trong tổ chức đã xác thực. Mặc định là default; dùng cùng một giá trị phân biệt chữ hoa, chữ thường cho nhóm và tài nguyên liên quan. Gửi trong nội dung JSON với POST/PUT và tham số truy vấn với GET/DELETE.

Ví dụ yêu cầu

curl "https://api.tokenlab.sh/v1/videos/assets/asset-20260720123456-qn7wr?project_name=default" \
  -X DELETE \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"

Ví dụ phản hồi

{
  "deleted": true,
  "id": "asset-20260720123456-qn7wr"
}
curl -X DELETE "https://example.com/v1/videos/assets/asset-20260720123456-qn7wr"
{  "deleted": true,  "id": "asset-20260720123456-qn7wr"}

Xác thực

BearerAuth
AuthorizationBearer <token>

Xác thực bằng Khóa API. Tạo hoặc quản lý khóa API trong Dashboard > API > API Keys.

Vị trí: header

Tham số đường dẫn

assetId*string

Tham số truy vấn

project_name?string

Phạm vi dự án cho tài nguyên vật liệu.

Độ dài1 <= length <= 128
mặc định"default"

Phản hồi

application/json

application/json

application/json

application/json

application/json